<?
include ("../common/scripts/connect.inc.php");
session_start();

if(isset($_SESSION['idChar']))
{
	$id_mimichant=$_SESSION['idChar'];
	
	if(isset($_POST['nbChoco']))
	{
		
		//traitement du depot
		$result= pg_query($dbconn,"select * from depot(".$id_mimichant.",".$_POST['nbChoco'].")");	
		$ok=pg_fetch_row($result);
		
		//si le depot s'est bien passé
		if($ok[0]=='t')
		{
			//récupération du nombre de chocopépites
			$result= pg_query($dbconn,"select * from solde_user(".$id_mimichant.")");	
			$nb=pg_fetch_row($result);
			
			//récupération du nombre de chocopépites du mimichant
			$result= pg_query($dbconn,"select * from solde_character(".$id_mimichant.")");	
			$nbmimi=pg_fetch_row($result);
			
			echo '
			Votre d&eacute;pot a bien &eacute;t&eacute; pris en compte<br />
			Vous avez '.$nb[0].' chocop&eacute;pites<br />
			Votre mimichant a '.$nbmimi[0].' chocop&eacute;pites';
		}
		else
		{
			echo "
			Votre n'avez pas assez de chocop&eacute;pites pour effectuer cette transaction";
		}
	}
}

?>
